%define ALD_Ver		1.2.1

Name:         hicolor-icon-theme

License:      GPL
Summary:      This is the default icon theme specification.
Group:        System/Libraries
Version:      0.12
Release:      0
URL: http://www.freedesktop.org/standards/icon-theme-spec/

Source: %{name}-%{version}.tar.xz

BuildArchitectures: noarch

%define docdir %{_defaultdocdir}/%{name}

%define BUILD_TAR 1
%define _srcrpmdir	%{_topdir}/SRPMS/%{ALD_Ver}

# ------------------- description ------------------------------------
%description
This is the default fallback theme used by implementations of the icon
theme specification.

# ------------------- setup ------------------------------------------
%Prep
%setup -q -n %{name}-%{version}

# ------------------- Build ------------------------------------------
%Build 
PATH=$PATH:/opt/perl/bin
export PATH

%configure &>FConfigure_log.txt

make &>FMake_log.txt

# ------------------- Install ----------------------------------------
%Install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p %{_srcrpmdir}
mkdir -p $RPM_BUILD_ROOT%{docdir}

make DESTDIR=$RPM_BUILD_ROOT install &>FInstall_log.txt

cp COPYING README $RPM_BUILD_ROOT%{docdir}

if test -f /opt/aldccp/bin/packages_idx; then
  /opt/aldccp/bin/packages_idx -p %{name} -v %{version} -r noarch/%{ALD_Ver}/ $RPM_BUILD_ROOT
fi

# ------------------- Clean ------------------------------------------
%Clean 
pushd %{_rpmdir}/noarch
  mkdir -p %{ALD_Ver}
  mv %{name}-* %{ALD_Ver}/
popd

# --------------- build *.tgz ------------------------
%if %{BUILD_TAR}
pushd $RPM_BUILD_ROOT
  TMP_TO=%{_rpmdir}/noarch/%{ALD_Ver}/tar
  mkdir -p $TMP_TO
  tmp=%{name}-%{version}-%{release}.noarch
  mkdir -p $tmp
  cp -r usr $tmp/
  tar -cjf $tmp.tar.bz2 $tmp
  mv $tmp.tar.bz2 $TMP_TO
  rm -r $tmp
popd
%endif  #BUILD_TAR

# ------------------- Files ------------------------------------------
%Files
%{_datadir}

